package com.ruoyi.project.patrol.commonuse.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 自行车对象 t_commonuse_bicycle
 *
 * @author admin
 * @date 2023-11-09
 */
public class TCommonuseBicycle extends BaseEntity {
    private static final long serialVersionUID = 1L;

    public TCommonuseBicycle() {
    }

    public TCommonuseBicycle(String devNo, Long month, Long year, Long planId, String createrCode) {
        this.devNo = devNo;
        this.month = month;
        this.year = year;
        this.planId = planId;
        this.issuesStatus = "0";
        this.checkStatus = "0";
        this.createdate = new Date();
        this.createrCode = createrCode;
    }

    /**
     * ID
     */
    private Long id;

    /**
     * 自行车编号
     */
    @Excel(name = "自行车编号")
    private String devNo;

    /**
     * 外观检查完好
     */
    @Excel(name = "外观检查完好")
    private String appearance;

    /**
     * 前后轮车胎气压正常
     */
    @Excel(name = "前后轮车胎气压正常")
    private String normobaria;

    /**
     * 脚蹬无破损
     */
    @Excel(name = "脚蹬无破损")
    private String pedalCondition;

    /**
     * 前后手刹完好，功能正常
     */
    @Excel(name = "前后手刹完好，功能正常")
    private String handbrakeIntact;

    /**
     * 车铃铛完好，能正常使用
     */
    @Excel(name = "车铃铛完好，能正常使用")
    private String bellIntact;

    /**
     * 自行车链条完好
     */
    @Excel(name = "自行车链条完好")
    private String hingeIntact;

    /**
     * 反光贴正常
     */
    @Excel(name = "反光贴正常")
    private String normalReflector;

    /**
     * 自行车支架完好
     */
    @Excel(name = "自行车支架完好")
    private String supportIntact;

    /**
     * 车坐垫完好，无损坏
     */
    @Excel(name = "车坐垫完好，无损坏")
    private String cushionIntact;

    /**
     * 前后轮挡泥板完好
     */
    @Excel(name = "前后轮挡泥板完好")
    private String fenderIntact;

    /**
     * 前后轮车辐条完好
     */
    @Excel(name = "前后轮车辐条完好")
    private String spokeStripIntact;

    /**
     * 前后轮钢圈完好
     */
    @Excel(name = "前后轮钢圈完好")
    private String steelRingIntact;

    /**
     * 车锁完好，功能正常
     */
    @Excel(name = "车锁完好，功能正常")
    private String lockIntact;

    /**
     * 自行车编号清晰，无污损
     */
    @Excel(name = "自行车编号清晰，无污损")
    private String clearlyNumbered;

    /**
     * 自行车后座支架完好，无松动
     */
    @Excel(name = "自行车后座支架完好，无松动")
    private String supportNoLoose;

    /**
     * 检查状态
     */
    @Excel(name = "检查状态")
    private String checkStatus;

    /**
     * 检查时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /**
     * 确认人
     */
    @Excel(name = "确认人")
    private String confirmed;

    /**
     * 修改人
     */
    @Excel(name = "修改人")
    private String updaterCode;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /**
     * 月度
     */
    @Excel(name = "月度")
    private Long month;

    /**
     * 年度
     */
    @Excel(name = "年度")
    private Long year;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /**
     * 删除标识0未删除
     */
    private Long delFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createrCode;

    /**
     * 部门编号
     */
    @Excel(name = "部门编号")
    private Long deptId;

    /**
     * 计划id
     */
    @Excel(name = "计划id")
    private Long planId;

    /**
     * 问题文件地址
     */
    @Excel(name = "问题文件地址")
    private String problemFileUrl;

    /**
     * 文件地址
     */
    @Excel(name = "文件地址")
    private String fileUrl;

    /**
     * 检测是否有问题(1:是,0:否)
     */
    @Excel(name = "检测是否有问题(1:是,0:否)")
    private String issuesStatus;

    /**
     * 是否为问题记录数据
     */
    @Excel(name = "是否为问题记录数据")
    private String issuesFlag;

    /**
     * 问题修复附件
     */
    @Excel(name = "问题修复附件")
    private String repairFile;

    private String precision;

    public String getPrecision() {
        return precision;
    }

    public void setPrecision(String precision) {
        this.precision = precision;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setDevNo(String devNo) {
        this.devNo = devNo;
    }

    public String getDevNo() {
        return devNo;
    }

    public void setAppearance(String appearance) {
        this.appearance = appearance;
    }

    public String getAppearance() {
        return appearance;
    }

    public void setNormobaria(String normobaria) {
        this.normobaria = normobaria;
    }

    public String getNormobaria() {
        return normobaria;
    }

    public void setPedalCondition(String pedalCondition) {
        this.pedalCondition = pedalCondition;
    }

    public String getPedalCondition() {
        return pedalCondition;
    }

    public void setHandbrakeIntact(String handbrakeIntact) {
        this.handbrakeIntact = handbrakeIntact;
    }

    public String getHandbrakeIntact() {
        return handbrakeIntact;
    }

    public void setBellIntact(String bellIntact) {
        this.bellIntact = bellIntact;
    }

    public String getBellIntact() {
        return bellIntact;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    public Date getCheckDate() {
        return checkDate;
    }

    public void setConfirmed(String confirmed) {
        this.confirmed = confirmed;
    }

    public String getConfirmed() {
        return confirmed;
    }

    public void setUpdaterCode(String updaterCode) {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setMonth(Long month) {
        this.month = month;
    }

    public Long getMonth() {
        return month;
    }

    public void setYear(Long year) {
        this.year = year;
    }

    public Long getYear() {
        return year;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setDelFlag(Long delFlag) {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() {
        return delFlag;
    }

    public void setCreaterCode(String createrCode) {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() {
        return createrCode;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setProblemFileUrl(String problemFileUrl) {
        this.problemFileUrl = problemFileUrl;
    }

    public String getProblemFileUrl() {
        return problemFileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setIssuesStatus(String issuesStatus) {
        this.issuesStatus = issuesStatus;
    }

    public String getIssuesStatus() {
        return issuesStatus;
    }

    public void setIssuesFlag(String issuesFlag) {
        this.issuesFlag = issuesFlag;
    }

    public String getIssuesFlag() {
        return issuesFlag;
    }

    public void setRepairFile(String repairFile) {
        this.repairFile = repairFile;
    }

    public String getRepairFile() {
        return repairFile;
    }

    public void setHingeIntact(String hingeIntact) {
        this.hingeIntact = hingeIntact;
    }

    public String getHingeIntact() {
        return hingeIntact;
    }

    public void setNormalReflector(String normalReflector) {
        this.normalReflector = normalReflector;
    }

    public String getNormalReflector() {
        return normalReflector;
    }

    public void setSupportIntact(String supportIntact) {
        this.supportIntact = supportIntact;
    }

    public String getSupportIntact() {
        return supportIntact;
    }

    public void setCushionIntact(String cushionIntact) {
        this.cushionIntact = cushionIntact;
    }

    public String getCushionIntact() {
        return cushionIntact;
    }

    public void setFenderIntact(String fenderIntact) {
        this.fenderIntact = fenderIntact;
    }

    public String getFenderIntact() {
        return fenderIntact;
    }

    public void setSpokeStripIntact(String spokeStripIntact) {
        this.spokeStripIntact = spokeStripIntact;
    }

    public String getSpokeStripIntact() {
        return spokeStripIntact;
    }

    public void setSteelRingIntact(String steelRingIntact) {
        this.steelRingIntact = steelRingIntact;
    }

    public String getSteelRingIntact() {
        return steelRingIntact;
    }

    public void setLockIntact(String lockIntact) {
        this.lockIntact = lockIntact;
    }

    public String getLockIntact() {
        return lockIntact;
    }

    public void setClearlyNumbered(String clearlyNumbered) {
        this.clearlyNumbered = clearlyNumbered;
    }

    public String getClearlyNumbered() {
        return clearlyNumbered;
    }

    public void setSupportNoLoose(String supportNoLoose) {
        this.supportNoLoose = supportNoLoose;
    }

    public String getSupportNoLoose() {
        return supportNoLoose;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("devNo", getDevNo())
                .append("appearance", getAppearance())
                .append("normobaria", getNormobaria())
                .append("pedalCondition", getPedalCondition())
                .append("handbrakeIntact", getHandbrakeIntact())
                .append("bellIntact", getBellIntact())
                .append("checkStatus", getCheckStatus())
                .append("checkDate", getCheckDate())
                .append("confirmed", getConfirmed())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("month", getMonth())
                .append("year", getYear())
                .append("remarks", getRemarks())
                .append("createdate", getCreatedate())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("deptId", getDeptId())
                .append("planId", getPlanId())
                .append("problemFileUrl", getProblemFileUrl())
                .append("fileUrl", getFileUrl())
                .append("issuesStatus", getIssuesStatus())
                .append("issuesFlag", getIssuesFlag())
                .append("repairFile", getRepairFile())
                .append("hingeIntact", getHingeIntact())
                .append("normalReflector", getNormalReflector())
                .append("supportIntact", getSupportIntact())
                .append("cushionIntact", getCushionIntact())
                .append("fenderIntact", getFenderIntact())
                .append("spokeStripIntact", getSpokeStripIntact())
                .append("steelRingIntact", getSteelRingIntact())
                .append("lockIntact", getLockIntact())
                .append("clearlyNumbered", getClearlyNumbered())
                .append("supportNoLoose", getSupportNoLoose())
                .toString();
    }
}
